# sitelib for noarch packages, sitearch for others (remove the unneeded one)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}

%global pkgname qrcode

Name:           python-%{pkgname}
Version:        2.4.1
Release:        1%{?dist}
Summary:        Python QR Code image generator

License:        BSD
URL:            https://github.com/lincolnloop/python-qrcode
Source0:        http://pypi.python.org/packages/source/q/qrcode/qrcode-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-imaging
Requires:       python-imaging

%description
This module uses the Python Imaging Library (PIL) to allow for the
generation of QR Codes.


%prep
%setup -q -n %{pkgname}-%{version}


%build
# Remove CFLAGS=... for noarch packages (unneeded)
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT


%check
# in lieue of a real test suite
for m in $(find qrcode -name '*.py' \
    | grep -v __init__ \
    | sort \
    | sed -e 's|/|.|g' \
    | sed -e 's|.py$||g');
do
    %{__python} -c "import $m"
done


%files
%doc LICENSE README.rst CHANGES.rst
# For noarch packages: sitelib
%{python_sitelib}/*
%{_bindir}/qr


%changelog
* Sat Jun  2 2012 Michel Salim <salimma@fedoraproject.org> - 2.4.1-1
- Initial package
